# Class JSOFA.PrecessionAngles

java.lang.Object
org.jastronomy.jsofa.JSOFA.PrecessionAngles

Enclosing class:
  `JSOFA`

public static class JSOFA.PrecessionAngles extends Object
equinox based precession angles. .

Since:
  26 Jan 2010
Version:
  $Revision$ $date$
Author:
  Paul Harrison (paul.harrison@manchester.ac.uk) 21 Nov 2011

## Field Summary

Fields
Modifier and Type
Field
Description
`double`
`bpa`
P_A ecliptic pole x, J2000.0 ecliptic triad.
`double`
`bpia`
Pi_A longitude of ascending node of the ecliptic.
`double`
`bqa`
Q_A ecliptic pole -y, J2000.0 ecliptic triad.
`double`
`chia`
chi_A planetary precession.
`double`
`eps0`
epsilon_0 obliquity at J2000.0.
`double`
`epsa`
epsilon_A obliquity of the ecliptic.
`double`
`gam`
gamma_J2000 J2000.0 RA difference of ecliptic poles.
`double`
`oma`
omega_A inclination of equator wrt J2000.0 ecliptic.
`double`
`pa`
p_A general precession.
`double`
`phi`
phi_J2000 J2000.0 codeclination of ecliptic pole.
`double`
`pia`
pi_A angle between moving and J2000.0 ecliptics.
`double`
`psi`
psi_J2000 longitude difference of equator poles, J2000.0.
`double`
`psia`
psi_A luni-solar precession.
`double`
`thetaa`
theta_A equatorial precession: 2nd 323 Euler angle.
`double`
`za`
z_A equatorial precession: -3rd 323 Euler angle.
`double`
`zetaa`
zeta_A equatorial precession: -1st 323 Euler angle.

## Constructor Summary

Constructors
Constructor
Description
`PrecessionAngles(double eps0, double psia, double oma, double bpa, double bqa, double pia, double bpia, double epsa, double chia, double za, double zetaa, double thetaa, double pa, double gam, double phi, double psi)`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### eps0

public double eps0
epsilon_0 obliquity at J2000.0.

### psia

public double psia
psi_A luni-solar precession.

### oma

public double oma
omega_A inclination of equator wrt J2000.0 ecliptic.

### bpa

public double bpa
P_A ecliptic pole x, J2000.0 ecliptic triad.

### bqa

public double bqa
Q_A ecliptic pole -y, J2000.0 ecliptic triad.

### pia

public double pia
pi_A angle between moving and J2000.0 ecliptics.

### bpia

public double bpia
Pi_A longitude of ascending node of the ecliptic.

### epsa

public double epsa
epsilon_A obliquity of the ecliptic.

### chia

public double chia
chi_A planetary precession.

### za

public double za
z_A equatorial precession: -3rd 323 Euler angle.

### zetaa

public double zetaa
zeta_A equatorial precession: -1st 323 Euler angle.

### thetaa

public double thetaa
theta_A equatorial precession: 2nd 323 Euler angle.

### pa

public double pa
p_A general precession.

### gam

public double gam
gamma_J2000 J2000.0 RA difference of ecliptic poles.

### phi

public double phi
phi_J2000 J2000.0 codeclination of ecliptic pole.

### psi

public double psi
psi_J2000 longitude difference of equator poles, J2000.0.

## Constructor Details

### PrecessionAngles

public PrecessionAngles(double eps0, double psia, double oma, double bpa, double bqa, double pia, double bpia, double epsa, double chia, double za, double zetaa, double thetaa, double pa, double gam, double phi, double psi)